const fs = require('fs');

function now() {
    const date = new Date(new Date().getTime() + 8 * 3600 * 1000);
    return date.toISOString();
}

function log(msg) {
    let message = `[${now()}][status]: ${msg}`;
    console.log(message);
}

function log_with_req_id(req_id) {
    let id = req_id.split('-')[0];
    return function (msg) {
        let message = `[${now()}][status][${id}]: ${msg}`;
        console.log(message);
        fs.appendFileSync('logs.txt', message + '\n');
    };
}

function play_sound() {
    process.stdout.write('\u0007');
}

function sleep(ms) {
    log(`等待 ${ms} ms...`);
    return new Promise((resolve) => {
        setTimeout(resolve, ms);
    });
}

exports.now = now;
exports.sleep = sleep;
exports.log_with_req_id = log_with_req_id;
exports.log = log;
exports.play_sound = play_sound;